# frozen_string_literal: true

module Netilion
  class Asset < LHS::Record
    configuration items_key: 'assets',
                  pagination_strategy: :page,
                  pagination_key: { body: %w[pagination page], parameter: 'page' },
                  limit_key: { body: %w[pagination per_page], parameter: 'limit' },
                  total_key: %w[pagination total_count]

    endpoint '{+api}/assets'
    endpoint '{+api}/assets/{id}'

    has_one :status, class_name: 'Netilion::AssetStatus'
    has_one :product, class_name: 'Netilion::Product'
    has_one :tenant, class_name: 'Netilion::Tenant'
  end
end
