# frozen_string_literal: true

module Netilion
  class AssetStatus < LHS::Record
    configuration items_key: 'asset_statuses',
                  pagination_strategy: :page,
                  pagination_key: { body: %w[pagination page], parameter: 'page' },
                  limit_key: { body: %w[pagination per_page], parameter: 'limit' },
                  total_key: %w[pagination total_count]

    endpoint '{+api}/asset/statuses'
    endpoint '{+api}/asset/statuses/{id}'
    endpoint '{+api}/assets/{asset_id}/status'

    has_one :tenant, class_name: 'Netilion::Tenant'
  end
end
