# frozen_string_literal: true

module Netilion
  module EDM
    class EdgeDevice < ::Netilion::Record
      configuration items_key: :edge_devices

      configuration pagination_strategy: :page
      configuration limit_key: { body: [:pagination, :per_page], parameter: :per_page }
      configuration pagination_key: { body: [:pagination, :page], parameter: :page }
      configuration total_key: { body: [:pagination, :total_key], parameter: :total_key }

      endpoint '{+edm}/edge_devices'
      endpoint '{+edm}/edge_devices/{id}'

      has_one :type, class_name: 'Netilion::EDM::EdgeDeviceType'
      has_one :status, class_name: 'Netilion::EDM::EdgeDeviceStatus'
      has_many :field_gateways, class_name: 'Netilion::EDM::FieldGateway'
      has_many :network_interfaces, class_name: 'Netilion::EDM::NetworkInterface'
      has_many :specifications, class_name: 'Netilion::EDM::NetworkInterface'
    end
  end
end
