# frozen_string_literal: true

module Netilion
  module EDM
    class EdgeDeviceType < ::Netilion::Record
      configuration items_key: :edge_device_types

      configuration pagination_strategy: :page
      configuration limit_key: { body: [:pagination, :per_page], parameter: :per_page }
      configuration pagination_key: { body: [:pagination, :page], parameter: :page }
      configuration total_key: { body: [:pagination, :total_key], parameter: :total_key }

      endpoint '{+edm}/edge_device/types'
      endpoint '{+edm}/edge_device/types/{id}'

      has_many :edge_devices, class_name: 'Netilion::EDM::EdgeDevice'
    end
  end
end
