# frozen_string_literal: true

module Netilion
  module EDM
    class FieldGateway < ::Netilion::Record
      configuration items_key: :field_gateways

      configuration pagination_strategy: :page
      configuration limit_key: { body: [:pagination, :per_page], parameter: :per_page }
      configuration pagination_key: { body: [:pagination, :page], parameter: :page }
      configuration total_key: { body: [:pagination, :total_key], parameter: :total_key }

      endpoint '{+edm}/edge_devices/{edge_device_id}/field_gateways'
      endpoint '{+edm}/edge_devices/{edge_device_id}/field_gateways/{id}'

      has_one :type, class_name: 'Netilion::EDM::FieldGatewayType'
      has_one :status, class_name: 'Netilion::EDM::FieldGatewayStatus'
      has_one :edge_device, class_name: 'Netilion::EDM::EdgeDevice'
      has_many :specifications, class_name: 'Netilion::EDM::NetworkInterface'
    end
  end
end
