# frozen_string_literal: true

module Netilion
  module EDM
    class FieldGatewayType < ::Netilion::Record
      configuration items_key: :field_gateway_types

      configuration pagination_strategy: :page
      configuration limit_key: { body: [:pagination, :per_page], parameter: :per_page }
      configuration pagination_key: { body: [:pagination, :page], parameter: :page }
      configuration total_key: { body: [:pagination, :total_key], parameter: :total_key }

      endpoint '{+edm}/field_gateway/statuses'
      endpoint '{+edm}/field_gateway/statuses/{id}'

      has_many :field_gateways, class_name: 'Netilion::EDM::FieldGateway'
    end
  end
end
