# frozen_string_literal: true

module Netilion
  module EDM
    class NetworkInterface < ::Netilion::Record
      configuration items_key: :network_interfaces

      configuration pagination_strategy: :page
      configuration limit_key: { body: [:pagination, :per_page], parameter: :per_page }
      configuration pagination_key: { body: [:pagination, :page], parameter: :page }
      configuration total_key: { body: [:pagination, :total_key], parameter: :total_key }

      endpoint '{+edm}/edge_devices/{edge_device_id}/network_interfaces'
      endpoint '{+edm}/edge_devices/{edge_device_id}/network_interfaces/{id}'

      has_one :edge_device, class_name: 'Netilion::EDM::EdgeDevice'
    end
  end
end
