# frozen_string_literal: true

module Netilion
  module EDM
    class SoftwareImage < ::Netilion::Record
      configuration items_key: :software_images

      configuration pagination_strategy: :page
      configuration limit_key: { body: [:pagination, :per_page], parameter: :per_page }
      configuration pagination_key: { body: [:pagination, :page], parameter: :page }
      configuration total_key: { body: [:pagination, :total_key], parameter: :total_key }

      endpoint '{+edm}/software_images'
      endpoint '{+edm}/software_images/{id}'
      endpoint '{+edm}/software_versions/{software_version_id}/software_images'

      has_one :type, class_name: 'Netilion::EDM::SoftwareImageType'
    end
  end
end
