# frozen_string_literal: true

module Netilion
  module EDM
    class SoftwareImageType < ::Netilion::Record
      configuration items_key: :software_image_types

      configuration pagination_strategy: :page
      configuration limit_key: { body: [:pagination, :per_page], parameter: :per_page }
      configuration pagination_key: { body: [:pagination, :page], parameter: :page }
      configuration total_key: { body: [:pagination, :total_key], parameter: :total_key }

      endpoint '{+edm}/software_image/types'
      endpoint '{+edm}/software_image/types/{id}'

      has_many :software_images, class_name: 'Netilion::EDM::SoftwareImage'
    end
  end
end
