# frozen_string_literal: true

module Netilion
  module EDM
    class SoftwareVersion < ::Netilion::Record
      configuration items_key: :software_versions

      configuration pagination_strategy: :page
      configuration limit_key: { body: [:pagination, :per_page], parameter: :per_page }
      configuration pagination_key: { body: [:pagination, :page], parameter: :page }
      configuration total_key: { body: [:pagination, :total_key], parameter: :total_key }

      endpoint '{+edm}/software_versions'
      endpoint '{+edm}/software_versions/{id}'

      has_one :status, class_name: 'Netilion::EDM::SoftwareVersionStatus'
      has_one :edge_device_type, class_name: 'Netilion::EDM::EdgeDeviceType'
      has_many :software_images, class_name: 'Netilion::EDM::SoftwareImage'
    end
  end
end
