# frozen_string_literal: true

module Netilion
  module EDM
    class SoftwareVersionStatus < ::Netilion::Record
      configuration items_key: :software_version_statuses

      configuration pagination_strategy: :page
      configuration limit_key: { body: [:pagination, :per_page], parameter: :per_page }
      configuration pagination_key: { body: [:pagination, :page], parameter: :page }
      configuration total_key: { body: [:pagination, :total_key], parameter: :total_key }

      endpoint '{+edm}/software_version/statuses'
      endpoint '{+edm}/software_version/statuses/{id}'

      has_many :software_versions, class_name: 'Netilion::EDM::SoftwareVersions'
    end
  end
end
