# frozen_string_literal: true

module Netilion
  module EDM
    class UpdateSchedule < ::Netilion::Record
      configuration items_key: :update_schedules

      configuration pagination_strategy: :page
      configuration limit_key: { body: [:pagination, :per_page], parameter: :per_page }
      configuration pagination_key: { body: [:pagination, :page], parameter: :page }
      configuration total_key: { body: [:pagination, :total_key], parameter: :total_key }

      endpoint '{+edm}/update_schedules'
      endpoint '{+edm}/update_schedules/{id}'

      has_one :status, class_name: 'Netilion::EDM::UpdateScheduleStatus'
      has_one :edge_device, class_name: 'Netilion::EDM::EdgeDevice'
      has_one :software_version, class_name: 'Netilion::EDM::SoftwareVersion'
    end
  end
end
