# frozen_string_literal: true

module Netilion
  module EDM
    class UpdateScheduleStatus < ::Netilion::Record
      configuration items_key: :update_schedule_statuses

      configuration pagination_strategy: :page
      configuration limit_key: { body: [:pagination, :per_page], parameter: :per_page }
      configuration pagination_key: { body: [:pagination, :page], parameter: :page }
      configuration total_key: { body: [:pagination, :total_key], parameter: :total_key }

      endpoint '{+edm}/update_schedule/statuses'
      endpoint '{+edm}/update_schedule/statuses/{id}'

      has_many :update_schedules, class_name: 'Netilion::EDM::UpdateSchedule'
    end
  end
end
