# frozen_string_literal: true

module Netilion
  class Tenant < LHS::Record
    configuration items_key: :tenants,
                  pagination_strategy: :page,
                  pagination_key: { body: %w[pagination page], parameter: 'page' },
                  limit_key: { body: %w[pagination per_page], parameter: 'limit' },
                  total_key: %w[pagination total_count]

    endpoint '{+api}/tenants'
    endpoint '{+api}/tenants/{id}'
  end
end
